version = $(word 2,$(shell cd .. && dpkg-parsechangelog | grep ^Version:))

.PHONY: all
all: adequate.1

tags.desc: ../adequate
	../private/update-tags

adequate.pod: adequate.podt tags.desc ../adequate
	../private/generate-manpage > $(@).tmp
	mv $(@).tmp $(@)

%.1: %.pod
	date=$(shell sed -n -e "/^pod-date:/s///p" $(<)) && \
	pod2man --utf8 -c '' -d $$date -q none -r "$(*) $(version)" $(<) $(@)

.PHONY: clean
clean:
	rm -f adequate.pod *.1 *.tmp

# vim:ts=4 sts=4 sw=4 noet
